Created ticket not being handled, never leaves New state

Bug #1337294 reported by Evan on 2014-07-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu CI Engine
High
Ursula Junque

Bug Description

Using the acceptance testing deployment, http://15.125.124.245/

The first ticket Colin created does not appear in the webui and has not progressed out of New.

➜ ubuntu-ci -u http://15.125.124.245/ status -t 2
Ticket #2 - click test
Curent landing step: New - Not started
Description: click 0.4.29~ppa1 test from cjwatson
Owner: cjwatson
Created: Thu, 3 Jul 2014 11:29:44 +0000
Updated: Thu, 3 Jul 2014 11:29:44 +0000
Bug #: None
Added binaries: click,click-dev
Removed binaries: None

➜ curl http://15.125.124.245/api/v1/opentickets/
{"meta": {"limit": 20, "next": null, "offset": 0, "previous": null, "total_count": 0}, "objects": []}

Related branches

Ursula Junque (ursinha) wrote :

What was the command line he used to create the ticket? Do you have the cli output?

Changed in uci-engine:
status: Confirmed → Incomplete
milestone: uce-0 → uce-1
Joe Talbott (joetalbott) wrote :

This is less about the webui and more about the lander I believe. You can see the small amount of ticket details here: http://15.125.124.245/ticket/2/

Ursula Junque (ursinha) wrote :

I think my question isn't really relevant (though it would be nice to add such things when filing a bug so we know how one got there), the ticket exists but isn't even marked as Failed, it was never picked up by the lander.

Changed in uci-engine:
status: Incomplete → Confirmed
Ursula Junque (ursinha) on 2014-07-03
summary: - Created ticket not appearing in webui
+ Created ticket not being handled, never leaves New state
Colin Watson (cjwatson) wrote :

$ ubuntu-ci -u http://15.125.124.245/ create_ticket -t "click test" -d "click 0.4.29~ppa1 test from cjwatson" -o cjwatson -a click,click-dev -s src/ubuntu/click/click_0.4.29~ppa1_source.changes
gpg: Signature made Thu 03 Jul 2014 12:24:53 BST using RSA key ID 7D86500B
gpg: please do a --check-trustdb
gpg: Good signature from "Colin Watson <email address hidden>"
gpg: aka "Colin Watson <email address hidden>"
gpg: aka "Colin Watson <email address hidden>"
gpg: aka "Colin Watson <email address hidden>"

You have successfully submitted a ticket to the Ubuntu CI Engine. Your ticket number is 2.

Ursula Junque (ursinha) wrote :

Thanks cjwatson.
It turns out the problem happened when the CLI tried to change the ticket status to "Queued", the patch request was never completed and the ticket couldn't be picked up by the webui or the lander. The CLI didn't fail because we weren't ensuring it should raise an exception in case the request returned an error code. I've submitted a fix for that.

Changed in uci-engine:
assignee: Joe Talbott (joetalbott) → Ursula Junque (ursinha)
status: Confirmed → In Progress
Ursula Junque (ursinha) on 2014-07-04
Changed in uci-engine:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers